<?php
/**
 * This file is part of NoiseLabs-SmartyBundle
 *
 * NoiseLabs-SmartyBundle is free software; you can redistribute it
 * and/or modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * NoiseLabs-SmartyBundle is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with NoiseLabs-SmartyBundle; if not, see
 * <http://www.gnu.org/licenses/>.
 *
 * Copyright (C) 2011-2014 Vítor Brandão
 *
 * @category    NoiseLabs
 * @package     SmartyBundle
 * @copyright   (C) 2011-2014 Vítor Brandão <vitor@noiselabs.org>
 * @license     http://www.gnu.org/licenses/lgpl-3.0-standalone.html LGPL-3
 * @link        http://www.noiselabs.org
 */

namespace NoiseLabs\Bundle\SmartyBundle\Extension\Plugin;

/**
 * Variable modifiers can be applied to variables, custom functions or strings.
 * To apply a modifier, specify the value followed by a | (pipe) and the
 * modifier name. A modifier may accept additional parameters that affect its
 * behavior. These parameters follow the modifier name and are separated by a :
 * (colon). Also, all php-functions can be used as modifiers implicitly (more
 * below) and modifiers can be combined.
 *
 * See {@link http://www.smarty.net/docs/en/language.modifiers.tpl}.
 *
 * @author Vítor Brandão <vitor@noiselabs.org>
 */
class ModifierPlugin extends AbstractPlugin
{
    public function getType()
    {
        return 'modifier';
    }
}
